Folks.AvatarDetails.change_avatar – folks Reference Manual

# change_avatar

## Description:

public virtual async void change_avatar (LoadableIcon? avatar) throws PropertyError

Change the contact's avatar.

It's preferred to call this rather than setting AvatarDetails.avatar directly, as this method gives error notification and will only return once the avatar has been written to the relevant backing store (or the operation's failed).

## Parameters:

avatar | the new avatar (or `null` to unset the avatar)

## Exceptions:

PropertyError | if setting the avatar failed

## Since:

0.6.2